Bug 60438 - Intel E1000 driver doesn't work in 64 bit slot
Summary: Intel E1000 driver doesn't work in 64 bit slot
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-27 19:50 UTC by Rick Stevens
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 20:18:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rick Stevens 2002-02-27 19:50:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020204

Description of problem:
When using an Intel E1000 (gigabit) network card on Dell PowerEDGE 6450/700
(quad Xeon) system, the e1000.o driver as shipped with RedHat
kernels doesn't seem to work reliably when the card is in a 64-bit slot.
Pings and NFS mounts work, but file transfers to the NFS volume lock up.
The driver, as shipped, is 3.1.22.  The current Intel one is 3.6.8.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use a kernel 2.4.7-10xxx through 2.4.7-21xxx
2. Install an E1000 card into a 64-bit slot and bring it up
3. Connect via fiber to an NFS server
4. Mount an NFS volume
5. Try "cp -a /etc/* /nfsmount" and it'll lock up.
	

Actual Results:  The "cp" process locks up.  It is not killable.  The only way
to kill it
is to unmount the NFS volume or bring down the E1000 card.

Expected Results:  The contents of the /etc directory copied to the NFS volume

Additional info:

If one picks up the V3.6.8 E1000 driver from the Intel site, builds it,
and replaces the e1000.o driver with this new one, everything works
fine.  I HIGHLY recommend that your next kernel release includes this new Intel
driver.

Comment 1 Scott Feldman 2002-02-27 22:02:27 UTC
The 3.1.22 driver included w/ RH 7.2 is broken.  The driver will receive 256 
packets and then stop.  The driver was broken during the merge of the 3.1.22 
driver into the RH 7.2 build, and was caught too late to be fixed.  A fix is 
available with the 7.2 errata kernel.  Newer drivers (including 3.6.8) have 
been sent to RH for inclusion in future RH builds.

Comment 2 Rick Stevens 2002-02-28 01:34:38 UTC
Ok, got it.  I'm downloading the 2.4.9-31 series now.  I assume it's fixed in
there.  If not, I have the 3.6.8 source and can build it.

Now, if we could just get bug 59094 fixed, I'd be a happy camper!

Comment 3 Rick Stevens 2002-02-28 02:09:09 UTC
Beg to differ.  At least 2.4.9-31enterprise doesn't have the e1000 driver at
all. Nor is it in the source RPM.

Comment 4 Arjan van de Ven 2002-02-28 08:09:38 UTC
Please look closer, and in the drivers/addon directory

Comment 5 Rick Stevens 2002-02-28 17:45:39 UTC
Ok, I stand corrected.  I see a 3.1.23 version, which is still pretty old.  I
suppose this ticket can be closed.


Note You need to log in before you can comment on or make changes to this bug.